%define	module	Data-Hierarchy
%define	name	perl-%{module}
%define version 0.20
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl module to handle data in a hierarchical structure
Source0:	http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{module}-%{version}.tar.gz
Url:		http://www.cpan.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:	perl-Clone
BuildArch:	noarch

%description
Data::Hierarchy provides a simple interface for manipulating 
inheritable data attached to a hierarchical environment (like filesystem).

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST CHANGES README 
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Sep 26 2004 Michael Scherer <misc@mandrake.org> 0.20-1mdk
- New release 0.20

* Tue Sep 21 2004 Michael Scherer <misc@mandrake.org> 0.19-1mdk
- New release 0.19

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.18-1mdk
- 0.18
- cosmetics

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.17-1mdk
- 0.17
 
* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.15-1mdk 
- First MandrakeSoft Package
